Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1043206 - [osinfo] move sysprep defaults out of /etc
Summary: [osinfo] move sysprep defaults out of /etc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Alon Bar-Lev
QA Contact: Ilanit Stein
URL:
Whiteboard: virt
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-12-14 22:57 UTC by Alon Bar-Lev
Modified: 2014-09-18 12:24 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 22383 None None None Never
oVirt gerrit 22384 None None None Never

Description Alon Bar-Lev 2013-12-14 22:57:47 UTC
when moved to using conf.d structure, there is no reason why storing
sysprep files in /etc as user can install his own osinfo config and
overwrite product defaults reference with his own.
    
this simplifies pushing product changes without the rpmsave/rpmnew hell
and enables support to understand site customization.
    
upgrade is comparing current install sysprep files and keep these that
are different from product default at existing location, creating osinfo
configuration for these.
    
the move to osinfo neglected the ability of user to specify different
setting for sysprep in database, we also fix that.

Comment 1 Michal Skrivanek 2013-12-17 11:27:26 UTC
moving to 3.3.1 to get enough QA attention

Comment 2 Alon Bar-Lev 2013-12-17 11:54:29 UTC
(In reply to Michal Skrivanek from comment #1)
> moving to 3.3.1 to get enough QA attention

this is a packaging change that should not go to 3.3.0 to be able to maintain the 3.3.z without packaging changes.

Comment 3 Itamar Heim 2013-12-23 08:12:06 UTC
(In reply to Alon Bar-Lev from comment #2)
> (In reply to Michal Skrivanek from comment #1)
> > moving to 3.3.1 to get enough QA attention
> 
> this is a packaging change that should not go to 3.3.0 to be able to
> maintain the 3.3.z without packaging changes.

that should go to 3.3.0?

Comment 8 Ilanit Stein 2014-02-25 14:14:19 UTC
Verified on ovirt-engine-3.4.0-0.7.beta2.el6.noarch:
There is no longer such directory: /etc/ovirt-engine/sysprep

Comment 9 Itamar Heim 2014-06-12 14:07:49 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.